<template>
  <div class="event">
    <button @click="handleClick">
        <slot></slot>
    </button>
  </div>
</template>

<script>
export default {
  name: 'EventButton',
  data () {
    return {
      msg: 'Welcome to Your Vue.js App'
    }
  },
  methods:{
    handleClick (event) {
      this.$emit('on-click', event);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
